import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.number().int().optional(),
  seq: z.number().int(),
  data: z.instanceof(Uint8Array),
  createdAt: z.coerce.date().optional()
}).strict();
export const CloudFileChunkUncheckedCreateWithoutFileInputObjectSchema: z.ZodType<Prisma.CloudFileChunkUncheckedCreateWithoutFileInput> = makeSchema() as unknown as z.ZodType<Prisma.CloudFileChunkUncheckedCreateWithoutFileInput>;
export const CloudFileChunkUncheckedCreateWithoutFileInputObjectZodSchema = makeSchema();
